<template>
    <el-dialog
    title="单位维护"
    width="660px"
    :visible.sync="visible"
    :before-close="_close"
  >
    <el-button type="primary" :loading="submitLoading" @click="submitAction()">新增</el-button>
    <el-table :data="tableData" border style="width: 100%">
        <el-table-column label="医保类型" align="center"></el-table-column>
        <el-table-column label="自付比例(%)" align="center">
            <template slot-scope="scope">
                <el-input v-model="input" placeholder="请输入内容"></el-input>
            </template>
        </el-table-column>
    </el-table>
    
    <div slot="footer" class="dialog-footer">
      <el-button @click="hide">取 消</el-button>
      <el-button type="primary" :loading="submitLoading" @click="submitAction()">保 存</el-button>
    </div>
  </el-dialog>
</template>

<script>
export default {
    data(){
        return{
            tableData:[
                {}
            ]
        }
    },
    methods:{
        _close: function(done) {
            // this.clear()
            done()
        },
        clear: function() {
            this.form.id = 0;
            this.form.name = "";
            this.form.intro = "";
        },
        show() {
            // this.clear()
            this.visible = true
        },
        hide() {
            // this.clear()
            this.visible = false
        },
    }
}
</script>
